# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

inherit eutils

DESCRIPTION="Arduino libraries and so-called cores with no Java garbage in sight."
HOMEPAGE="https://arduino.cc/"
SRC_URI="https://github.com/arduino/Arduino/archive/${PV}.tar.gz -> arduino-${PV}.tar.gz"
LICENSE="GPL-2 GPL-2+ LGPL-2 CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="!dev-embedded/arduino"
DEPEND="${RDEPEND}"

S="${WORKDIR}/Arduino-${PV}"

src_install() {
	cd "${S}" || die

	insinto "/usr/share/arduino/"
	doins -r hardware libraries
	fowners -R root:uucp "/usr/share/arduino/hardware"

	dosym /usr/bin/avrdude "/usr/share/arduino/hardware/tools/avrdude"
	dosym /etc/avrdude.conf "/usr/share/arduino/hardware/tools/avrdude.conf"

	mkdir -p "${D}/usr/share/arduino/hardware/tools/avr/etc/"
	dosym /etc/avrdude.conf "/usr/share/arduino/hardware/tools/avr/etc/avrdude.conf"
}
