# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI="5"
VALA_MIN_API_VERSION="0.32"

inherit autotools eutils git-r3 vala

DESCRIPTION="Documentation generator for Vala"
HOMEPAGE="https://live.gnome.org/Valadoc"
EGIT_REPO_URI="git://git.gnome.org/${PN}"

LICENSE="GPL-2"
SLOT=""
KEYWORDS="~amd64"
IUSE=""

RDEPEND="
	$(vala_depend)
	>=dev-libs/glib-2.28
	dev-libs/libgee:0.8
	>=media-gfx/graphviz-2.16
"
DEPEND="${RDEPEND}
	virtual/pkgconfig
"

src_prepare() {
	eautoreconf
	vala_src_prepare
}

src_configure() {
	econf --disable-static
}

src_install() {
	default
	prune_libtool_files
}
